Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Classes | Namespaces | Macros | Variables
UUID.h File Reference

Libargus API: UUID API More...

`#include <stdint.h>`
`#include <cstring>`

Go to the source code of this file.

## Classes
struct | Argus::UUID
| A universally unique identifier. More...
class | Argus::NamedUUID
| A universally unique identifier with a name (used for debugging purposes). More...

## Namespaces
namespace | Argus

## Macros
#define | DEFINE_UUID(TYPE, NAME, l, s0, s1, s2, c0, c1, c2, c3, c4, c5)
| Helper macro used to define NamedUUID-derived values.
#define | DEFINE_NAMED_UUID_CLASS(NAME)

## Variables
const uint32_t | Argus::MAX_UUID_NAME_SIZE = 32

## Detailed Description

Libargus API: UUID API

Description: Defines the UUID types used by libargus.

Definition in file UUID.h.

## Macro Definition Documentation

#define DEFINE_NAMED_UUID_CLASS | ( |  | NAME | ) |

Value:
class NAME : public NamedUUID \
{ \
public: \
NAME(uint32_t time_low_ \
, uint16_t time_mid_ \
, uint16_t time_hi_and_version_ \
, uint16_t clock_seq_ \
, uint8_t c0, uint8_t c1, uint8_t c2, uint8_t c3, uint8_t c4, uint8_t c5 \
, const char* name) \
: NamedUUID(time_low_, time_mid_, time_hi_and_version_, clock_seq_, \
c0, c1, c2, c3, c4, c5, name) \
{} \
private: \
NAME();\
};

Definition at line 128 of file UUID.h.

#define DEFINE_UUID | ( |  | TYPE,
|  |  | NAME,
|  |  | l,
|  |  | s0,
|  |  | s1,
|  |  | s2,
|  |  | c0,
|  |  | c1,
|  |  | c2,
|  |  | c3,
|  |  | c4,
|  |  | c5
| ) |  |

Value:
static const TYPE NAME(0x##l, 0x##s0, 0x##s1, 0x##s2, \
0x##c0, 0x##c1, 0x##c2, 0x##c3, 0x##c4, 0x##c5, #NAME);

Helper macro used to define NamedUUID-derived values.

Definition at line 124 of file UUID.h.